{{- if and ($.Values.ingress.enabled) -}}
{{- $configuration := include "ska-cicd-automation.configurationHelper" $ | fromYaml }}
---
{{- $svcPort := $.Values.service.port -}}
{{- $fullName := include "ska-cicd-automation.fullname" $ -}}
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: "{{ $fullName }}-docs"
  labels:
    {{- include "ska-cicd-automation.labels" $ | nindent 4 }}
  annotations:
    {{ if .whitelist_ip_range}}
    kubernetes.io/whitelist-source-range: "{{.whitelist_ip_range}}"
    {{- end }}
    kubernetes.io/ingress.class: nginx
  {{- with $.Values.ingress.annotations }}
    {{- toYaml . | nindent 4 }}
  {{- end }}
spec:
  ingressClassName: nginx
  rules:
    {{- range $.Values.ingress.hosts }}
    - host: {{ .host }}
      http:
        paths:
          - path: {{if $.Values.ingress.namespacePrefix }}/{{ $.Release.Namespace }}{{ end }}/({{ $.Release.Name }}.*)
            pathType: ImplementationSpecific
            backend:
              service:
                name: {{ $fullName }}
                port:
                  number: {{ $svcPort }}

    {{- end }}
{{- end }}